package no.ntnu.idatt1002.demo.data.Economics;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.io.*;
import java.util.ArrayList;

/**
 * FileHandling is a class for writing and reading
 * Item-objects to and from a file.
 */
public class FileHandling {
    /**
     * Method for writing (adding) an ItemRegister to a file.
     *
     * @param itemRegister the ItemRegister you want to write to a file.
     * @throws IOException if an input or output exception occurred.
     */
    public <T extends Item>void writeItemRegisterToFile(final ItemRegister<T> itemRegister, String fileName) throws IOException {
        try (BufferedWriter bw = new BufferedWriter(new FileWriter("src/main/resources/" + fileName + ".item"))) {
            bw.write(itemRegister.toString());
        } catch (IOException ex) {
            throw new IOException("Error writing story to file: " + ex.getMessage());
        }
    }

    /**
    public <T extends Item> ArrayList<T> readItemRegisterFromFile(String fileName) throws IOException {

    }
     */
}